### HANDLE PASCAL RAROpenArchive(struct RAROpenArchiveData *ArchiveData)

### Description

Open RAR archive and allocate memory structures.

This function is obsolete. It does not support Unicode names and does not allow to specify the callback function. It is recommended to use RAROpenArchiveEx instead.

### Parameters

ArchiveData

> Points to RAROpenArchiveData structure.

### Return values

> Archive handle or NULL in case of error.

### See also

> RAROpenArchiveData structure.